using System;
using System.Text;

internal sealed class Delegate168 : MulticastDelegate
{
	public extern StringBuilder Invoke(object object_0, string string_0, object[] object_1);

	public static StringBuilder smethod_0(object object_0, string string_0, object[] object_1, Delegate168 delegate168_1)
	{
		return delegate168_1(object_0, string_0, object_1);
	}

	public extern Delegate168(object object_0, IntPtr intptr_0);

	static Delegate168()
	{
		Class10.smethod_13(typeof(Delegate168).TypeHandle);
	}

	internal static Delegate168 delegate168_0;
}
